%define		module		docker
%define		egg_name	docker
%define		pypi_name	docker
Summary:	A Python 3 library for the Docker Engine API
Summary(pl.UTF-8):	Biblioteka Pythona 3 do API silnika Docker
Name:		python3-%{module}
Version:	7.1.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/d/docker/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	04e92a7b6dc8b88dde3c7cca6850b277
Patch0:		pyproject-syntax.patch
URL:		http://docker-py.readthedocs.org/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools >= 1:54.1.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildConflicts:	python3-docker < 2.0
# Docker can be remote, so suggest only
Suggests:	docker >= 1.3.3
# optional dep for ssh support (required by docker-compose)
Suggests:	python3-paramiko >= 2.4.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python library for the Docker Engine API. It lets you do anything
the `docker` command does, but from within Python apps - run
containers, manage containers, manage Swarms, etc.

%description -l pl.UTF-8
Biblioteka Pythona do API silnika Docker. Pozwala zrobić wszystko to,
co polecenie "docker", ale z poziomu aplikacji w Pythonie: uruchamiać
kontenery, zarządzać nimi, zarządzać Swarmami itp.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
cat > setup.py <<EOF
from setuptools import setup
setup(version='%{version}')
EOF

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Fri Aug 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-docker.git;a=log;h=master

* Thu Aug 22 2024 Jan Palus <atler@pld-linux.org> 5c70df0
- no longer conflicts with recent python3-requests

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> 7c9451b
- up to 7.1.0

* Tue Aug 06 2024 Jan Palus <atler@pld-linux.org> d7a845d
- C: python3-requests >= 2.32.0; rel 2

* Tue Oct 31 2023 Jakub Bogusz <qboosh@pld-linux.org> e69b18e
- updated to 5.0.3

* Mon Oct 30 2023 Jakub Bogusz <qboosh@pld-linux.org> e9e7abf
- moved (version 5.0.0) from python-docker.spec, now tests pass

* Mon Oct 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 45c3e8f
- cleanup, pl, updated dependencies

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 21fcdd6
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 93d834c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 45ad604
- rebuild with python 3.10

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 0ebc1b5
- up to 5.0.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9c186a2
- release 2 (by relup.sh)

* Fri Feb 26 2021 Jan Palus <atler@pld-linux.org> 80f8555
- up to 4.4.4

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> 31a9746
- up to 4.4.3

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> 3d68374
- up to 4.4.2

* Tue Jan 26 2021 Jan Palus <atler@pld-linux.org> 48b62f3
- up to 4.4.1

* Mon Sep 07 2020 Jan Palus <atler@pld-linux.org> fe1861e
- up to 4.3.1

* Tue Jun 30 2020 Jan Palus <atler@pld-linux.org> 41a699f
- up to 4.2.2

* Wed Jun 03 2020 Jan Palus <atler@pld-linux.org> 039bb21
- up to 4.2.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 50eaaed
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Apr 07 2019 Jan Palus <atler@pld-linux.org> e0043ac
- suggest python-paramiko

